Bug 1461212 - [RFE] RBAC for API user access
[RFE] RBAC for API user access
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API (Show other bugs)
5.7.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: cfme-future
Assigned To: Gregg Tanzillo
Dave Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 18:39 EDT by Saif Ali
Modified: 2017-06-20 01:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saif Ali 2017-06-13 18:39:19 EDT
Description of problem:
Currently when the user connect thru rest API the user can view any thing under /api/* can the user be just limit to items has access to it. 

Version-Release number of selected component (if applicable):
4.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Gregg Tanzillo 2017-06-15 10:24:59 EDT
Saif, can you add some more details? Are you saying that the user is able to see all the actions available under /api/* or are they able to see managed objects that their RBAC should not allow?

Note You need to log in before you can comment on or make changes to this bug.